Skip to main content
GET
/
v1
/
activities
List activities
curl --request GET \
  --url https://api.oneofnone.io/v1/activities \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "id": 123,
      "type": "<string>",
      "created_at": "<string>",
      "title": "<string>",
      "content": "<string>",
      "location": "<string>",
      "token_id": 123,
      "user_id": "<string>",
      "image": {
        "url": "<string>"
      },
      "video": {
        "url": "<string>",
        "poster_url": "<string>"
      },
      "gallery": [
        {
          "url": "<string>",
          "file_type": "<string>",
          "poster_url": "<string>",
          "order": 123
        }
      ],
      "updated_at": "<string>"
    }
  ],
  "pagination": {}
}

Authorizations

x-api-key
string
header
required

Query Parameters

token_id
integer
collection_slug
string
min_date
string
max_date
string
limit
number
Required range: 1 <= x <= 1000
offset
number
order
enum<string>
Available options:
asc,
desc
order_by
string
include_count
boolean

Response

200 - application/json

Successful response

data
object[]
required
pagination
object
required